Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.editor.client.adapters
Class HasDataEditor.HasDataEditorSource<T>

    java.lang.Object
      com.google.gwt.editor.client.adapters.EditorSource<LeafValueEditor<T>>
          com.google.gwt.editor.client.adapters.HasDataEditor.HasDataEditorSource<T>

Enclosing class:
  HasDataEditor<T>

    static class HasDataEditor.HasDataEditorSource<T>

extends EditorSource<LeafValueEditor<T>>

Constructor Summary
`HasDataEditor.HasDataEditorSource(HasData<T> data)`

Method Summary
`com.google.gwt.editor.client.adapters.HasDataEditor.IndexedEditor<T>` | `create(int index)` Create a new Editor.
`LeafValueEditor<T>` | `createEditorForTraversal()` Creates a temporary sub-Editor to use for traversal.
`void` | `dispose(LeafValueEditor<T> subEditor)` Called when an Editor no longer requires a sub-Editor.
`void` | `setIndex(LeafValueEditor<T> editor, int index)` Re-order a sub-Editor.

Methods inherited from class com.google.gwt.editor.client.adapters.EditorSource
`create`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HasDataEditor.HasDataEditorSource

    public HasDataEditor.HasDataEditorSource(HasData<T> data)

Method Detail

### create

    public com.google.gwt.editor.client.adapters.HasDataEditor.IndexedEditor<T> create(int index)

  Description copied from class: `EditorSource`
  Create a new Editor.

  Specified by:
    `create` in class `EditorSource<LeafValueEditor<T>>`
  Parameters:
    `index` - the position at which the new Editor should be displayed
  Returns:
    an `Editor` of type E

### createEditorForTraversal

    public LeafValueEditor<T> createEditorForTraversal()

  Description copied from class: `EditorSource`
  Creates a temporary sub-Editor to use for traversal.

  For backwards compatibility with GWT 2.5.0 and earlier, the default implementation calls `create(0)` and `disposes` the editor right away.

  Overrides:
    `createEditorForTraversal` in class `EditorSource<LeafValueEditor<T>>`
  Returns:
    an `Editor` of type E
  See Also:
    `ListEditor.createEditorForTraversal()`, `EditorContext.traverseSyntheticCompositeEditor(com.google.gwt.editor.client.EditorVisitor)`

### dispose

    public void dispose(LeafValueEditor<T> subEditor)

  Description copied from class: `EditorSource`
  Called when an Editor no longer requires a sub-Editor. The default implementation is a no-op.

  Overrides:
    `dispose` in class `EditorSource<LeafValueEditor<T>>`
  Parameters:
    `subEditor` - an `Editor` of type E

### setIndex

    public void setIndex(LeafValueEditor<T> editor,
                         int index)

  Description copied from class: `EditorSource`
  Re-order a sub-Editor. The default implementation is a no-op.

  Overrides:
    `setIndex` in class `EditorSource<LeafValueEditor<T>>`
  Parameters:
    `editor` - an `Editor` of type E
    `index` - the index of the Editor

Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD